package com.brilliance.isc.mda.dao;

import com.brilliance.isc.common.rmbbop.entity.Tgd;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface TgdMapper {
    int insert(Tgd record);

    int insertSelective(Tgd record);

    int updateByPrimaryKeySelective(Tgd record);

    int updateByPrimaryKey(Tgd record);

    int deleteByPrimaryKey(Tgd record);

    int deleteByIds(Collection<Object> collection);

    Tgd selectByPrimaryKey(Tgd record);

    int dyncDelete(Map<String, Object> dyncMap);

    List<Tgd> dyncRead(Map<String, Object> dyncMap);

    Tgd selectByObjInfo(Tgd newtgd);

    List<Tgd> selectByObjtypAndObjinr(@Param("objtyp") String objtyp, @Param("objinr") String objinr);

    int deleteByobjtypAndobjinr (@Param("objtyp") String objtyp, @Param("objinr") String objinr);

    /**
     * 批量新增数据（MyBatis原生foreach方法）
     *
     * @param entities List<Tgd> 实例对象列表
     * @return 影响行数
     */
    int insertBatch(@Param("entities") List<Tgd> entities);
}
